Subject: Re: 'git add' option to non-interactively stage working tree changes

From: Jakub Narebski <[email-masked]>
Date: Fri, 07 Jan 2011 15:50:38 -0800 (PST)

Junio C Hamano <[email-masked]> writes:

> I think it might be Ok to introduce a --full-tree option to "git add" (and
> "git grep"), though.  But introduction of corresponding configuration
> variable to flip the default needs to be done carefully in steps across
> major version boundaries as usual (i.e. first introduce --no-full-tree,

You meant --relative[1] here (instead of --no-full-tree), didn't you?

[1] Supported by diff, and in a way by git-diff-tree
-- 
Jakub Narebski
Poland
ShadeHawk on #git